Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.agf.gef
Class GenericEditPart

    java.lang.Object
      org.eclipse.gef.editparts.AbstractEditPart
          org.eclipse.gef.editparts.AbstractGraphicalEditPart
              org.eclipse.amp.agf.gef.GenericEditPart

All Implemented Interfaces:
  java.beans.PropertyChangeListener, java.util.EventListener, org.eclipse.core.runtime.IAdaptable, org.eclipse.gef.EditPart, org.eclipse.gef.GraphicalEditPart, org.eclipse.gef.RequestConstants

Direct Known Subclasses:
  AgentNodeEditPart, ScapeEditPart

    public abstract class GenericEditPart

extends org.eclipse.gef.editparts.AbstractGraphicalEditPart
implements java.beans.PropertyChangeListener

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`org.eclipse.gef.editparts.AbstractGraphicalEditPart.AccessibleGraphicalEditPart, org.eclipse.gef.editparts.AbstractGraphicalEditPart.DefaultAccessibleAnchorProvider`

Nested classes/interfaces inherited from class org.eclipse.gef.editparts.AbstractEditPart
`org.eclipse.gef.editparts.AbstractEditPart.EditPolicyIterator`

Field Summary
`protected org.eclipse.draw2d.ConnectionAnchor` | `anchor`
`static org.eclipse.draw2d.Border` | `HIGHLIGHT_ELLIPSE`
`static org.eclipse.draw2d.Border` | `HIGHLIGHT_RECTANGLE`
`protected static java.util.Set<java.lang.Class>` | `noFigureWarning`
`static int` | `SCALE`

Fields inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`figure, sourceConnections, targetConnections`

Fields inherited from class org.eclipse.gef.editparts.AbstractEditPart
`children, FLAG_ACTIVE, FLAG_FOCUS, MAX_FLAG`

Fields inherited from interface org.eclipse.gef.EditPart
`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`GenericEditPart()`

Method Summary
`void` | `activate()` Upon activation, attach to the model element as a property change listener.
`protected org.eclipse.draw2d.IFigure` | `buildFigure(org.eclipse.draw2d.IFigure figure)` Construct the figure used to represent this agent.
`protected void` | `createEditPolicies()`
`protected org.eclipse.draw2d.IFigure` | `createFigure()`
`void` | `deactivate()`
`void` | `propertyChange(java.beans.PropertyChangeEvent evt)`
`protected void` | `refreshVisuals()`
`protected void` | `updateSelection()`

Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`addChildVisual, addNodeListener, addNotify, addSourceConnection, addTargetConnection, createConnection, createOrFindConnection, fireRemovingSourceConnection, fireRemovingTargetConnection, fireSourceConnectionAdded, fireTargetConnectionAdded, getAdapter, getContentPane, getDragTracker, getFigure, getLayer, getModelSourceConnections, getModelTargetConnections, getSourceConnections, getTargetConnections, isSelectable, primAddSourceConnection, primAddTargetConnection, primRemoveSourceConnection, primRemoveTargetConnection, refresh, refreshSourceConnections, refreshTargetConnections, registerVisuals, removeChildVisual, removeNodeListener, removeNotify, removeSourceConnection, removeTargetConnection, reorderChild, reorderSourceConnection, reorderTargetConnection, setFigure, setLayoutConstraint, unregisterVisuals`

Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart
`activateEditPolicies, addChild, addEditPartListener, createChild, deactivateEditPolicies, debug, debugFeedback, eraseSourceFeedback, eraseTargetFeedback, fireActivated, fireChildAdded, fireDeactivated, fireRemovingChild, fireSelectionChanged, getAccessibleEditPart, getChildren, getCommand, getEditPolicy, getEditPolicyIterator, getEventListeners, getFlag, getModel, getModelChildren, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, performRequest, refreshChildren, register, registerAccessibility, registerModel, removeChild, removeEditPartListener, removeEditPolicy, setFlag, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, toString, understandsRequest, unregister, unregisterAccessibility, unregisterModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gef.EditPart
`addEditPartListener, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, performRequest, removeEditPartListener, removeEditPolicy, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

Field Detail

### SCALE

    public static final int SCALE

See Also:
  Constant Field Values

### anchor

    protected org.eclipse.draw2d.ConnectionAnchor anchor

### HIGHLIGHT_RECTANGLE

    public static final org.eclipse.draw2d.Border HIGHLIGHT_RECTANGLE

### HIGHLIGHT_ELLIPSE

    public static final org.eclipse.draw2d.Border HIGHLIGHT_ELLIPSE

### noFigureWarning

    protected static java.util.Set<java.lang.Class> noFigureWarning

Constructor Detail

### GenericEditPart

    public GenericEditPart()

Method Detail

### activate

    public void activate()

  Upon activation, attach to the model element as a property change listener.

  Specified by:
    `activate` in interface `org.eclipse.gef.EditPart`
  Overrides:
    `activate` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`

### buildFigure

    protected org.eclipse.draw2d.IFigure buildFigure(org.eclipse.draw2d.IFigure figure)

  Construct the figure used to represent this agent. This method is intended to both create and update figures. If a figure is passed in, this method should modify that figure as desired. If no figure is passed in, this method should create that figure and then update it.

  Parameters:
    `figure` - a figure to be built or null if the method is to create a figure
  Returns:
    must return figure passed in if not null

### createFigure

    protected org.eclipse.draw2d.IFigure createFigure()

  Specified by:
    `createFigure` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`

### updateSelection

    protected void updateSelection()

### refreshVisuals

    protected void refreshVisuals()

  Overrides:
    `refreshVisuals` in class `org.eclipse.gef.editparts.AbstractEditPart`

### deactivate

    public void deactivate()

  Specified by:
    `deactivate` in interface `org.eclipse.gef.EditPart`
  Overrides:
    `deactivate` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`

### createEditPolicies

    protected void createEditPolicies()

  Specified by:
    `createEditPolicies` in class `org.eclipse.gef.editparts.AbstractEditPart`

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent evt)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD